//-------------------------------------------------------------------------------------------------------------------------------
{Zobrazi okno Update database GG Settings}
procedure form_ShowUpd_db_GG_Set_Form(Sender: TObject);
begin
  UpdGGForm.ShowModal;
end;
//-------------------------------------------------------------------------------------------------------------------------------
{Zobrazi okno Update database PD Settings}
procedure form_ShowUpd_db_PD_Set_Form(Sender: TObject);
begin
  UpdPDForm.ShowModal;
end;
//-------------------------------------------------------------------------------------------------------------------------------
{Zobrazi okno Settings}
procedure form_ShowSetForm(Sender: TObject);
begin
  if SetForm.ShowModal = 1 then begin
    // Ulozeni aktualni konfigurace do aktualniho profilu
    SaveIniSetForm('DEFAULT');
    CheckUpdate;  // aktualizuje objekty formulare souvisejici s aktualizaci
  end
  else begin
    ReadIniSetForm('DEFAULT');
  end;
end;
//-------------------------------------------------------------------------------------------------------------------------------
{Zobrazi okno Log}
procedure form_ShowLogForm(Sender: TObject);
begin
  LogFill;
  LogForm.ShowModal;
end;
//-------------------------------------------------------------------------------------------------------------------------------
{Zobrazi Help}
procedure form_Help(Sender: TObject);
begin
  RunShell('http://geoget.ararat.cz/doku.php/user:skript:pocketdrakesync');
end;
//===============================================================================================================================
//-------------------------------------------------------------------------------------------------------------------------------
{Procedury formulare - kontrola jmena databaze PDA}
procedure form_dbCheck(Sender: TObject);
var script : string;
begin
  script := RegexReplace('[^\w]',Trim(PDSForm_cmb_db_PD_CustomName.Text), '_', False);
  if script = '' Then script := 'cachedb_bak';
  PDSForm_cmb_db_PD_CustomName.Text := script;
end;
//-------------------------------------------------------------------------------------------------------------------------------
{Procedury formulare - kontrola hodnoty TrkDistToTrim}
procedure form_TrkDistToTrimChanged(Sender: TObject);
begin
  if RegexExtract('\d*', TrkDivideForm_ed_DistToTrim.Text) <> TrkDivideForm_ed_DistToTrim.Text then begin
    ShowMessage('Enter valid value! (0-999)');
    TrkDivideForm_ed_DistToTrim.Text := '10';
  end;
end;
//-------------------------------------------------------------------------------------------------------------------------------
{Procedury formulare - nacteni registru PDA}
procedure form_ReadRegPDA(Sender: TObject);
begin
  ReadRegPDA(True, True);
end;
//===============================================================================================================================
//-------------------------------------------------------------------------------------------------------------------------------
{Procedury formulare - rizeni Enbl/Dsbl prvku formulare}
procedure form_DsblEnbl(Sender: TObject);
begin
  PDSForm_rb_db_PD_Default         .Enabled := not PDSForm_rb_Offline      .Checked;
  PDSForm_rb_db_PD_Custom          .Enabled := not PDSForm_rb_Offline      .Checked;
  PDSForm_cmb_db_PD_CustomName     .Enabled := not PDSForm_rb_Offline      .Checked and     PDSForm_rb_db_PD_Custom     .Checked;
  PDSForm_btn_dbSeek               .Enabled := not PDSForm_rb_Offline      .Checked and     PDSForm_rb_db_PD_Custom     .Checked;

  PDSForm_btn_ReadRegPDA           .Enabled :=     PDSForm_rb_ActiveSync   .Checked;
  PDSForm_ed_PD_disc               .Enabled :=     PDSForm_rb_CardReader   .Checked;
  PDSForm_btn_SelDisc              .Enabled :=     PDSForm_rb_CardReader   .Checked;

  PDSForm_cb_Upd_db_GG             .Enabled := not PDSForm_rb_Offline      .Checked;
  UpdGGForm_cb_Gen_FieldNotes_PD   .Enabled := not PDSForm_rb_Offline      .Checked;
  UpdGGForm_cb_Upd_Tracks          .Enabled := not PDSForm_rb_Offline      .Checked;
  PDSForm_cb_Upd_db_PD             .Enabled := not PDSForm_rb_Offline      .Checked;
  PDSForm_cb_Sync_Img              .Enabled := not PDSForm_rb_Offline      .Checked;
  PDSForm_cb_Sync_Attach           .Enabled := not PDSForm_rb_Offline      .Checked;

  UpdGGForm_cb_Save_db_PD          .Enabled :=                                          not PDSForm_rb_Offline          .Checked;
  PDSForm_dt_db_LastUpdate         .Enabled := PDSForm_cb_Upd_db_GG        .Checked and not PDSForm_rb_Offline          .Checked;
  PDSForm_lbl_db_LastUpdate        .Enabled := PDSForm_cb_Upd_db_GG        .Checked and not PDSForm_rb_Offline          .Checked;

  PDSForm_dt_FN_LastUpdate_Date    .Enabled := PDSForm_cb_Gen_FieldNotes_GG.Checked;
  PDSForm_dt_FN_LastUpdate_Time    .Enabled := PDSForm_cb_Gen_FieldNotes_GG.Checked;
  PDSForm_lbl_FN_LastUpdate        .Enabled := PDSForm_cb_Gen_FieldNotes_GG.Checked;

  UpdGGForm_cb_Gen_FieldNotes_PD_Auto.Enabled := UpdGGForm_cb_Gen_FieldNotes_PD.Checked and     UpdGGForm_cb_Gen_FieldNotes_PD.Enabled and PDSForm_rb_ActiveSync.Checked;

  PDSForm_rb_Upl_FieldNotes_GG     .Enabled := PDSForm_cb_Upl_FieldNotes   .Checked;
  PDSForm_rb_Upl_FieldNotes_PD     .Enabled := PDSForm_cb_Upl_FieldNotes   .Checked;

  UpdGGForm_cb_Upd_Tracks_Auto     .Enabled := UpdGGForm_cb_Upd_Tracks     .Checked and     UpdGGForm_cb_Upd_Tracks       .Enabled and PDSForm_rb_ActiveSync.Checked;
  UpdGGForm_cb_Upd_Tracks_gpx      .Enabled := UpdGGForm_cb_Upd_Tracks_Auto.Checked and     UpdGGForm_cb_Upd_Tracks_Auto  .Enabled;
  UpdGGForm_cb_Upd_Tracks_kml      .Enabled := UpdGGForm_cb_Upd_Tracks_Auto.Checked and     UpdGGForm_cb_Upd_Tracks_Auto  .Enabled;
  UpdGGForm_cb_Upd_Tracks_plt      .Enabled := UpdGGForm_cb_Upd_Tracks_Auto.Checked and     UpdGGForm_cb_Upd_Tracks_Auto  .Enabled;
  UpdGGForm_cb_Upd_Tracks_Del      .Enabled := UpdGGForm_cb_Upd_Tracks_Auto.Checked and     UpdGGForm_cb_Upd_Tracks_Auto  .Enabled;
  UpdGGForm_cb_Del_Tracks          .Enabled := UpdGGForm_cb_Upd_Tracks     .Checked and     UpdGGForm_cb_Upd_Tracks       .Enabled;

  PDSForm_cb_ImportGpx             .Enabled := PDSForm_rb_ActiveSync       .Checked;
  PDSForm_rb_ImportGpx_GC          .Enabled := PDSForm_cb_ImportGpx        .Checked and     PDSForm_cb_ImportGpx        .Enabled;
  PDSForm_rb_ImportGpx_List        .Enabled := PDSForm_cb_ImportGpx        .Checked and     PDSForm_cb_ImportGpx        .Enabled;
  PDSForm_ed_ImportGpxID           .Enabled := PDSForm_rb_ImportGpx_GC     .Checked and     PDSForm_rb_ImportGpx_GC     .Enabled;

  PDSForm_btn_Map                  .Enabled := not PDSForm_rb_ActiveSync   .Checked;

  // TrkForm
  TrkDivideForm_dt_TimeToTrim .Enabled :=  TrkDivideForm_cb_TimeToTrimEnbl .Checked;
  TrkDivideForm_ed_DistToTrim .Enabled :=  TrkDivideForm_cb_TrackToTrimEnbl.Checked;
  TrkDivideForm_lb_km         .Enabled :=  TrkDivideForm_cb_TrackToTrimEnbl.Checked;
  TrkDivideForm_ed_HdopToTrim .Enabled :=  TrkDivideForm_cb_HdopToTrimEnbl .Checked;
end;
//-------------------------------------------------------------------------------------------------------------------------------
{nastaveni ovladacu udalosti formulare}
procedure FormEventSet;
begin
  PDSForm_btn_PDA_PC          .onClick  := @form_PDA_PC;
  PDSForm_btn_PC_Web          .onClick  := @form_PC_Web;
  PDSForm_btn_PC_PDA          .onClick  := @form_PC_PDA;
  PDSForm_btn_Web_PDA         .onClick  := @form_Web_PDA;
  PDSForm_btn_All             .onClick  := @form_All;
  PDSForm_btn_Update          .onClick  := @form_Update;
  PDSForm_btn_Save            .onClick  := @form_SaveProfile;
  PDSForm_btn_Del             .onClick  := @form_DelProfile;
  PDSForm_btn_Default         .onClick  := @form_ReadFactoryProfile;
  PDSForm_btn_dbSeek          .onClick  := @form_dbSeek;
  PDSForm_btn_Settings        .onClick  := @form_ShowSetForm;
  PDSForm_btn_Help            .onClick  := @form_Help;
  PDSForm_btn_Upd_db_GG_Set   .onClick  := @form_ShowUpd_db_GG_Set_Form;
  PDSForm_btn_Upd_db_PD_Set   .onClick  := @form_ShowUpd_db_PD_Set_Form;
  PDSForm_btn_Log             .onClick  := @form_ShowLogForm;
  PDSForm_btn_Trk             .onClick  := @form_ShowTrkForm;
  PDSForm_btn_Map             .onClick  := @form_ShowMapForm;
  PDSForm_btn_SelDisc         .onClick  := @form_CardPath;
  PDSForm_btn_ReadRegPDA      .onClick  := @form_ReadRegPDA;
  MapForm_btn_Refresh         .onClick  := @form_MapConfDbRefr;
  MapForm_btn_SelDisc         .onClick  := @form_CardPath;
  MapForm_btn_SelOziPath      .onClick  := @form_OziPath;
  MapForm_btn_SelMobacPath    .onClick  := @form_MobacPath;
  MapForm_btn_ImpOzi          .onClick  := @form_MapImpOzi;
  MapForm_btn_ImpMobac        .onClick  := @form_MapImpMobac;
  MapForm_btn_ImpGeoKuk       .onClick  := @form_MapImpGeoKuk;
  MapForm_btn_Stop            .onClick  := @form_MapStop;
  MapForm_btn_Manage          .onClick  := @form_MapManage;
  MapForm_btn_Delete          .onClick  := @form_MapDelete;
  MapForm_lb_Map              .onClick  := @form_MapSel;
  MapForm_lb_MapType          .onClick  := @form_MapTypeSel;
  MapForm_cb_ShowInfo         .onClick  := @form_GetMapInfo;
  MapMngForm_btn_Stop         .onClick  := @form_MapStop;
  MapMngForm_btn_Refresh      .onClick  := @form_GetMapRegionInfo;
  TrkForm_btn_Divide          .onClick  := @form_ShowTrkDivideForm;
  TrkForm_btn_Preview         .onClick  := @form_TrkView;
  TrkForm_btn_Save            .onClick  := @form_TrkSave;
  TrkForm_btn_Delete          .onClick  := @form_TrkDelete;
  TrkForm_btn_Combine         .onClick  := @form_TrkCombine;
  TrkForm_btn_Refresh         .onClick  := @form_TrkRead;
  TrkForm_btn_ArrName_Dwn     .onClick  := @form_TrkArrName;
  TrkForm_btn_ArrDate_Up      .onClick  := @form_TrkRead;
  TrkForm_btn_ArrDate_Dwn     .onClick  := @form_TrkRead;
  TrkForm_btn_ArrID_Up        .onClick  := @form_TrkRead;
  TrkForm_btn_ArrID_Dwn       .onClick  := @form_TrkRead;
  TrkForm_btn_Upload          .onClick  := @form_TrkUpload;
  TrkForm_btn_Download        .onClick  := @form_TrkDownload;
  TrkForm_btn_Rename          .onClick  := @form_TrkRename;
  TrkForm_btn_New             .onClick  := @form_TrkNew;
  TrkForm_btn_Trip            .onClick  := @form_TrkTrip;
  TrkForm_lb_Track            .onClick  := @form_TrkInfo;
  TrkDivideForm_ed_DistToTrim .onChange := @form_TrkDistToTrimChanged;
  LogForm_btn_Delete          .onClick  := @form_DeleteLog;
  PDSForm_cmb_Profile         .onChange := @form_ProfileChanged;
  PDSForm_cmb_db_PD_CustomName.onChange := @form_dbCheck;
  SetForm_cb_ToolBar          .onClick  := @form_ToolBar;
  
  PDSForm_rb_ActiveSync       .OnClick  := @form_DsblEnbl;
  PDSForm_rb_CardReader       .OnClick  := @form_DsblEnbl;
  PDSForm_rb_Offline          .OnClick  := @form_DsblEnbl;
  PDSForm_rb_db_PD_Default    .OnClick  := @form_DsblEnbl;
  PDSForm_rb_db_PD_Custom     .OnClick  := @form_DsblEnbl;
  PDSForm_cb_Upd_db_GG        .OnClick  := @form_DsblEnbl;
  PDSForm_cb_Upd_db_PD        .OnClick  := @form_DsblEnbl;
  PDSForm_cb_Gen_FieldNotes_GG.OnClick  := @form_DsblEnbl;
  UpdGGForm_cb_Gen_FieldNotes_PD.OnClick  := @form_DsblEnbl;
  PDSForm_cb_Upl_FieldNotes   .OnClick  := @form_DsblEnbl;
  UpdGGForm_cb_Upd_Tracks       .OnClick  := @form_DsblEnbl;
  UpdGGForm_cb_Upd_Tracks_Auto  .OnClick  := @form_DsblEnbl;
  PDSForm_cb_Upd_db_PD        .OnClick  := @form_DsblEnbl;
  PDSForm_cb_ImportGpx        .OnClick  := @form_DsblEnbl;
  PDSForm_rb_ImportGpx_GC     .OnClick  := @form_DsblEnbl;
  PDSForm_rb_ImportGpx_List   .OnClick  := @form_DsblEnbl;
  EndForm_cb_ShowList_ggf     .OnClick  := @form_DsblEnbl;
  TrkDivideForm_cb_TimeToTrimEnbl .OnClick := @form_DsblEnbl;
  TrkDivideForm_cb_TrackToTrimEnbl.OnClick := @form_DsblEnbl;
  TrkDivideForm_cb_HdopToTrimEnbl .OnClick := @form_DsblEnbl;
end;
